projects
/
wxWidgets.git
/ blobdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
|
commitdiff
|
tree
raw
|
inline
| side by side
Fix wxWindow::IsDescendant() to work with argument equal to this window.
[wxWidgets.git]
/
regen
diff --git
a/regen
b/regen
index b5ec049779bb7351307f96eda6d2d7176e7b9b93..558c0e9bfc9029fc88757b40976f51186fb8f59e 100755
(executable)
--- a/
regen
+++ b/
regen
@@
-1,4
+1,4
@@
-#!/bin/
k
sh
+#!/bin/sh
#
# regenerates the file given as command line argument by running config.status
# (the file is supposed to be generated by configure script)
#
# regenerates the file given as command line argument by running config.status
# (the file is supposed to be generated by configure script)
@@
-12,7
+12,13
@@
if test "x$1" = "x"; then
exit 1
fi
exit 1
fi
-export CONFIG_FILES=$1
-export CONFIG_HEADERS=
+if [ ! -x ./config.status ]; then
+ echo "Must be run from the top level wxWidgets build directory" >&2
+ exit 1
+fi
+
+CONFIG_FILES=$*
+CONFIG_HEADERS=
+export CONFIG_FILES CONFIG_HEADERS
./config.status
exit $?
./config.status
exit $?